# Class ParticipantPageSaveablePart

java.lang.Object
org.eclipse.team.ui.SaveablePartAdapter
org.eclipse.team.ui.PageSaveablePart
org.eclipse.team.ui.synchronize.ParticipantPageSaveablePart

All Implemented Interfaces:
  `IContentChangeListener, IAdaptable, ISaveableWorkbenchPart, ISaveablePart, IWorkbenchPart`

@Deprecated public class ParticipantPageSaveablePart extends PageSaveablePart implements IContentChangeListener
Deprecated.
Clients should use a subclass of `PageCompareEditorInput` and `CompareUI.openCompareDialog(org.eclipse.compare.CompareEditorInput)`
Displays a synchronize participant page combined with the compare/merge infrastructure. This only works if the synchronize page viewer provides selections that are of the following types: ITypedElement and ICompareInput or if the participant is a `ModelSynchronizeParticipant`.

Since:
  3.0

## Field Summary

### Fields inherited from interface ISaveableWorkbenchPart

`PROP_DIRTY`

### Fields inherited from interface IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`ParticipantPageSaveablePart(Shell shell, CompareConfiguration cc, ISynchronizePageConfiguration pageConfiguration, ISynchronizeParticipant participant)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`contentChanged(IContentChangeNotifier source)`
Deprecated.
`protected Control`
`createPage(Composite parent, ToolBarManager toolBarManager)`
Deprecated.
`void`
`dispose()`
Deprecated.
`void`
`doSave(IProgressMonitor pm)`
Deprecated.
`protected ICompareInput`
`getCompareInput(ISelection selection)`
Deprecated.
`ISynchronizePageConfiguration`
`getPageConfiguration()`
Deprecated.
`ISynchronizeParticipant`
`getParticipant()`
Deprecated.
`protected final ISelectionProvider`
`getSelectionProvider()`
Deprecated.
`String`
`getTitle()`
Deprecated.
`Image`
`getTitleImage()`
Deprecated.
`boolean`
`isDirty()`
Deprecated.
`protected void`
`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
Deprecated.

### Methods inherited from class PageSaveablePart

`createPartControl, getControl, getShell, prepareCompareInput, setDirty, setNavigator, setPageDescription, setShowContentPanes`

### Methods inherited from class SaveablePartAdapter

`addPropertyListener, doSaveAs, getAdapter, getSite, getTitleToolTip, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setFocus`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParticipantPageSaveablePart

@Deprecated public ParticipantPageSaveablePart(Shell shell, CompareConfiguration cc, ISynchronizePageConfiguration pageConfiguration, ISynchronizeParticipant participant)
Deprecated.
Creates a part for the provided participant. The page configuration is used when creating the participant page and the resulting compare/merge panes will be configured with the provided compare configuration.

For example, clients can decide if the user can edit the compare panes by calling `CompareConfiguration.setLeftEditable(boolean)` or `CompareConfiguration.setRightEditable(boolean)`.

Parameters:
  `shell` - the parent shell for this part
  `cc` - the compare configuration that will be used to create the compare panes
  `pageConfiguration` - the configuration that will be provided to the participant prior to creating the page
  `participant` - the participant whose page will be displayed in this part

## Method Details

### dispose

@Deprecated public void dispose()
Deprecated.
Description copied from interface: `IWorkbenchPart`
Disposes of this workbench part.

This is the last method called on the `IWorkbenchPart`. At this point the part controls (if they were ever created) have been disposed as part of an SWT composite. There is no guarantee that createPartControl() has been called, so the part controls may never have been created.

Within this method a part may release any resources, fonts, images, etc. held by this part. It is also very important to deregister all listeners from the workbench.

Clients should not call this method (the workbench calls this method at appropriate times).

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `SaveablePartAdapter`

### getTitleImage

@Deprecated public Image getTitleImage()
Deprecated.
Description copied from interface: `IWorkbenchPart`
Returns the title image of this workbench part. If this value changes the part must fire a property listener event with `PROP_TITLE`.

The title image is usually used to populate the title bar of this part's visual container. Since this image is managed by the part itself, callers must not dispose the returned image.

Specified by:
  `getTitleImage` in interface `IWorkbenchPart`
Returns:
  the title image

### getTitle

@Deprecated public String getTitle()
Deprecated.
Description copied from interface: `IWorkbenchPart`
Returns the title of this workbench part. If this value changes the part must fire a property listener event with `PROP_TITLE`.

The title is used to populate the title bar of this part's visual container.

Specified by:
  `getTitle` in interface `IWorkbenchPart`
Returns:
  the workbench part title (not `null`)

### isDirty

@Deprecated public boolean isDirty()
Deprecated.
Description copied from interface: `ISaveablePart`
Returns whether the contents of this part have changed since the last save operation. If this value changes the part must fire a property listener event with `PROP_DIRTY`.

Note: this method is called often on a part open or part activation switch, for example by actions to determine their enabled status.

Specified by:
  `isDirty` in interface `ISaveablePart`
Overrides:
  `isDirty` in class `PageSaveablePart`
Returns:
  `true` if the contents have been modified and need saving, and `false` if they have not changed since the last save

### contentChanged

@Deprecated public void contentChanged(IContentChangeNotifier source)
Deprecated.
Description copied from interface: `IContentChangeListener`
Called whenever the content of the given source has changed.

Specified by:
  `contentChanged` in interface `IContentChangeListener`
Parameters:
  `source` - the source whose contents has changed

### doSave

@Deprecated public void doSave(IProgressMonitor pm)
Deprecated.
Description copied from class: `PageSaveablePart`
This method flushes the content in any viewers. Subclasses should override if they need to perform additional processing when a save is performed.

Specified by:
  `doSave` in interface `ISaveablePart`
Overrides:
  `doSave` in class `PageSaveablePart`
Parameters:
  `pm` - a progress monitor

### createPage

@Deprecated protected Control createPage(Composite parent, ToolBarManager toolBarManager)
Deprecated.
Description copied from class: `PageSaveablePart`
Create the page for this part and return the top level control for the page.

Specified by:
  `createPage` in class `PageSaveablePart`
Parameters:
  `parent` - the parent composite
  `toolBarManager` - the toolbar manager for the page
Returns:
  the top-level control for the page

### getSelectionProvider

@Deprecated protected final ISelectionProvider getSelectionProvider()
Deprecated.
Description copied from class: `PageSaveablePart`
Return the selection provider for the page. This method is called after the page is created in order to register a selection listener on the page.

Specified by:
  `getSelectionProvider` in class `PageSaveablePart`
Returns:
  the selection provider for the page

### prepareInput

@Deprecated protected void prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor) throws InvocationTargetException
Deprecated.
Prepare the compare input for display in a content viewer. This method is called from `PageSaveablePart.prepareCompareInput(ICompareInput)` and may be called from a non-UI thread. This method should not be called by others.

Specified by:
  `prepareInput` in class `PageSaveablePart`
Parameters:
  `input` - the input
  `configuration` - the compare configuration
  `monitor` - a progress monitor
Throws:
  `InvocationTargetException` - if an error occurs
Since:
  3.2

### getPageConfiguration

@Deprecated public ISynchronizePageConfiguration getPageConfiguration()
Deprecated.
Return the synchronize page configuration for this part

Returns:
  Returns the pageConfiguration.

### getParticipant

@Deprecated public ISynchronizeParticipant getParticipant()
Deprecated.
Return the Synchronize participant for this part

Returns:
  Returns the participant.

### getCompareInput

@Deprecated protected ICompareInput getCompareInput(ISelection selection)
Deprecated.
Return a compare input that represents the selection. This input is used to feed the structure and content viewers. By default, a compare input is returned if the selection is of size 1 and the selected element implements `ICompareInput`. Subclasses may override.

Overrides:
  `getCompareInput` in class `PageSaveablePart`
Parameters:
  `selection` - the selection
Returns:
  a compare input representing the selection
Since:
  3.2